Bug 222519 - ASUS CROSSHAIR Nvidia Nforce 590 MCP55 problems
ASUS CROSSHAIR Nvidia Nforce 590 MCP55 problems
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 22:44 EST by Konstantin Olchanski
Modified: 2012-06-20 12:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2007-01-12 22:44:28 EST
I have trouble running RHEL4 on our new computer with the ASUS CROSSHAIR
motherboard- the CPU is dual-core Athlon64x2 5200+, the chipset is the NForce
590 MCP55. Different BIOS revisions and different kernel versions all
malfunction in different ways.

I am filing this bug against the most usable combination:

BIOS version 0401 (Latest BIOS from ASUS)
Linux kernel kernel-smp-2.6.9-42.40.EL.x86_64.rpm (Latest RHEL4 kernel available
from http://people.redhat.com/~jbaron/rhel4/RPMS.kernel/)

With this kernel, SATA works, the MCP55 network works, sound works, but USB does
not work: modprobe of USB modules yelds these errors, no USB devices are seen,
/proc/bus/usb is empty:
ACPI: PCI interrupt 0000:00:0a.1[B]: no GSI
ehci_hcd 0000:00:0a.1: EHCI Host Controller
PCI: Setting latency timer of device 0000:00:0a.1 to 64
ehci_hcd 0000:00:0a.1: request interrupt 255 failed
ehci_hcd 0000:00:0a.1: init 0000:00:0a.1 fail, -22
ehci_hcd: probe of 0000:00:0a.1 failed with error -22
ohci_hcd: 2004 Feb 02 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI interrupt 0000:00:0a.0[A]: no GSI
ohci_hcd 0000:00:0a.0: OHCI Host Controller
PCI: Setting latency timer of device 0000:00:0a.0 to 64
ohci_hcd 0000:00:0a.0: request interrupt 255 failed
ohci_hcd 0000:00:0a.0: init 0000:00:0a.0 fail, -22
ohci_hcd: probe of 0000:00:0a.0 failed with error -22

Other non-working combinations of interest to Red Hat developers and users:

kernel-2.6.19.2 built from sources: USB works, but MCP55 ethernet is
intermittent: periodically it stops (no ping), ifconfig down/up restarts it
(forcedeth driver).

kernel-smp-2.6.9-42.0.3.EL.x86_64 from RPM: NVidia SATA does not work: see long
timeouts while probing the disks, ultimately does not see the root filesystem.

Fedora 6 DVD in rescue mode: boots, SATA works, network works.

RHEL4 installation CD: network does not work (either NVidia or add-on PCI card),
looks like interrupts do not work. SATA works, USB works.

original BIOS (version 01-something) - all Linux kernels fail to boot with IRQ
routing errors, booting with "noapic" gets the farthest, but ultimately fails.

Other details:

[root@xenon01 ~]# cat /proc/interrupts 
           CPU0       CPU1       
  0:      26863    7157885    IO-APIC-edge  timer
  1:        180          7    IO-APIC-edge  i8042
  5:    5915701 1163455316   IO-APIC-level  libata
  7:  618409333    2376479   IO-APIC-level  libata, eth0
  8:         41          1    IO-APIC-edge  rtc
  9:          0          0   IO-APIC-level  acpi
 10: 1799346428    7496495   IO-APIC-level  libata, HDA Intel
 11:    7882703 2001843650   IO-APIC-level  libata
 12:      21500       1100    IO-APIC-edge  i8042
 14:         53         12    IO-APIC-edge  ide0
NMI:       6604       6115 
LOC:    7182923    7183466 
ERR:          0
MIS:          0

(in the output of "lspci", observe that USB interfaces are assigned IRQ 255.
Botched IRQ routing in ACPI?)

[root@xenon01 ~]# lspci -v
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
        Subsystem: nVidia Corporation C51 Host Bridge
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Capabilities: [44] HyperTransport: Slave or Primary Interface
        Capabilities: [e0] HyperTransport: MSI Mapping

00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 0
        Flags: 66Mhz, fast devsel

00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 1
        Flags: 66Mhz, fast devsel

00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 5
        Flags: 66Mhz, fast devsel

00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 4
        Flags: bus master, 66Mhz, fast devsel, latency 0

00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
        Subsystem: nVidia Corporation C51 Host Bridge
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Capabilities: [44] #00 [0000]

00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 3
        Flags: 66Mhz, fast devsel

00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
        Subsystem: nVidia Corporation C51 Memory Controller 2
        Flags: 66Mhz, fast devsel

00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1) (prog-if
00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: fde00000-fdefffff
        Prefetchable memory behind bridge: 00000000e8000000-00000000eff00000
        Capabilities: [40] #0d [0000]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0
        Capabilities: [100] Virtual Channel

00:08.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a1)
        Subsystem: nVidia Corporation: Unknown device cb84
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Capabilities: [44] HyperTransport: Slave or Primary Interface
        Capabilities: [e0] #00 [fee0]

00:09.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0

00:09.1 SMBus: nVidia Corporation MCP55 SMBus (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: 66Mhz, fast devsel, IRQ 255
        I/O ports at 1c00 [size=64]
        I/O ports at 1c40 [size=64]
        Capabilities: [44] Power Management version 2

00:09.2 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: 66Mhz, fast devsel

00:0a.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
(prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 255
        Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:0a.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
(prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 255
        Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [44] Debug port
        Capabilities: [80] Power Management version 2

00:0c.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1) (prog-if 8a [Master
SecP PriP])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0
        I/O ports at f400 [size=16]
        Capabilities: [44] Power Management version 2

00:0d.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
(prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 11
        I/O ports at 09f0 [size=8]
        I/O ports at 0bf0 [size=4]
        I/O ports at 0970 [size=8]
        I/O ports at 0b70 [size=4]
        I/O ports at e000 [size=16]
        Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
        Capabilities: [b0] Message Signalled Interrupts: 64bit+ Queue=0/2 Enable-
        Capabilities: [cc] HyperTransport: MSI Mapping

00:0d.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
(prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 5
        I/O ports at 09e0 [size=8]
        I/O ports at 0be0 [size=4]
        I/O ports at 0960 [size=8]
        I/O ports at 0b60 [size=4]
        I/O ports at cc00 [size=16]
        Memory at fe02c000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
        Capabilities: [b0] Message Signalled Interrupts: 64bit+ Queue=0/2 Enable-
        Capabilities: [cc] HyperTransport: MSI Mapping

00:0d.2 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
(prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 10
        I/O ports at c800 [size=8]
        I/O ports at c400 [size=4]
        I/O ports at c000 [size=8]
        I/O ports at bc00 [size=4]
        I/O ports at b800 [size=16]
        Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
        Capabilities: [b0] Message Signalled Interrupts: 64bit+ Queue=0/2 Enable-
        Capabilities: [cc] HyperTransport: MSI Mapping

00:0e.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2) (prog-if 01
[Subtractive decode])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        Memory behind bridge: fdf00000-fdffffff
        Capabilities: [b8] #0d [0000]
        Capabilities: [8c] HyperTransport: MSI Mapping

00:0e.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 81f2
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 10
        Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping

00:10.0 Ethernet controller: nVidia Corporation MCP55 Ethernet (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 7
        Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at b400 [size=8]
        Memory at fe029000 (32-bit, non-prefetchable) [size=256]
        Memory at fe028000 (32-bit, non-prefetchable) [size=16]
        Capabilities: [44] Power Management version 2
        Capabilities: [70] MSI-X: Enable- Mask- TabSize=8
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/3 Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping

00:11.0 Ethernet controller: nVidia Corporation MCP55 Ethernet (rev a2)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8223
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 5
        Memory at fe027000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at b000 [size=8]
        Memory at fe026000 (32-bit, non-prefetchable) [size=256]
        Memory at fe025000 (32-bit, non-prefetchable) [size=16]
        Capabilities: [44] Power Management version 2
        Capabilities: [70] MSI-X: Enable- Mask- TabSize=8
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/3 Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping

00:12.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
(prog-if 00 [Normal decode])
        Flags: fast devsel
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Capabilities: [40] #0d [0000]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0
        Capabilities: [100] Virtual Channel

00:16.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: fdd00000-fddfffff
        Capabilities: [40] #0d [0000]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0
        Capabilities: [100] Virtual Channel

00:17.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
(prog-if 00 [Normal decode])
        Flags: fast devsel
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
        Capabilities: [40] #0d [0000]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0
        Capabilities: [100] Virtual Channel

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
        Flags: fast devsel
        Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
        Flags: fast devsel
        Capabilities: [f0] #0f [0010]

01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)] (prog-if 00 [VGA])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 0083
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at ac00 [size=256]
        Memory at fdef0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at fdec0000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [100] Advanced Error Reporting

01:00.1 Display controller: ATI Technologies Inc RV370 [Radeon X300SE]
        Subsystem: ASUSTeK Computer Inc.: Unknown device 0082
        Flags: fast devsel
        Memory at fdee0000 (32-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0

02:0b.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 815b
        Flags: bus master, medium devsel, latency 32, IRQ 255
        Memory at fdfff000 (32-bit, non-prefetchable) [size=2K]
        Memory at fdff8000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2

04:00.0 Mass storage controller: Silicon Image, Inc. SiI 3132 Serial ATA Raid II
Controller (rev 01)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 819f
        Flags: bus master, fast devsel, latency 0, IRQ 7
        Memory at fddff000 (64-bit, non-prefetchable) [size=128]
        Memory at fddf8000 (64-bit, non-prefetchable) [size=16K]
        I/O ports at 9c00 [size=128]
        Expansion ROM at fdd00000 [disabled] [size=512K]
        Capabilities: [54] Power Management version 2
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Legacy Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting

K.O.
Comment 1 Konstantin Olchanski 2007-02-17 16:52:20 EST
Tracking new kernels from jbaron:
2.6.9-48.ELsmp: USB still does not work (no interrupt assigned).

Plus I see problem I missed before:
according to "vmstat 1", interrupt frequency is 780 kHz, this is abnormally
high. "cat /proc/interrupts" and "top" confirm this: "top" shows 80% CPU usage
in "hi" (hardware interrupt) state, /proc/interrupts show high counting rates of
libata interrupts 5, 7, 10 and 11, even when there is no disk activity in the
system.

K.O.
Comment 2 Konstantin Olchanski 2007-07-05 23:21:25 EDT
Good news. With the latest RHEL4.5 kernel 2.6.9-55.0.2.ELsmp and BIOS version
604 both USB and IDE seem to work. Thanks and keep up the good work, guys! K.O.
Comment 3 Jiri Pallich 2012-06-20 12:19:24 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.